Subject: [netconf] Comments on draft-he-netconf-adaptive-collection-usecases

From: Qin Wu <[email-masked]>
Date: Tue, 22 Mar 2022 04:04:32 +0000

Hi, Xiaoming:
Thank for presenting draft-he-netconf-adaptive-collection-usecases.
I have read through your document, if my understanding is correct, the big challenge you raised for data collection is excessive consumption resource by millisecond level collection, especially when the massive data is collected from interfaces need to be processed at once, e.g., batch data processing or microburst traffic detection. The consequence of this problem is instantaneous congestion of the output queue in the IP RAN, IP MEN, IP backbone. The network congestion maybe future aggravate such congestion problem.

One example you give is compare with 5 minutes sampling cycle based on SNMP with 10 millisecond sampling, the required resource will increase by 30000 times. I am wondering whether you test YANG Push telemetry and and give the resource consumption
comparison.

In section 4, you provides 4 interesting use cases for your proposed adaptive solution.
For use case 1, you want to provide multi-dimensional real-time portrait of interface traffic, yes, collect traffic data at different data collection rate did provide multi-dimensional data analysis, in addition, you can classify operational data into several categories, use data node tag proposed in draft-ietf-netmod-node-tags-06 to capture different categories of characteristics data. This also help you provide multi-dimensional real time data analysis.

For use case 2, microburst detection relies events trigger setting, I am not sure in your case, does the device require built-in hardware design to support monitoring? I think draft-wang-netconf-adaptive-subscription only requires the device to support different data collection rates and built on xpath capability supported by YANG. But I think microburst detection is more related to data measurement while draft-wang-netconf-adaptive-subscription is more related to streaming data reporting, exporting. They can be complimentary.

For use case 3, congestion avoidance for deterministic network, I believe it just focuses
on centralized controller based solution, not consider distributed solution. As we experimented in hackathon, centralized based solution also has limitation in the case of adaptive collection ,e.g., service disruption, overwhelming by thousands of device management, error prone, more network resource are consumed.

For use case 4, on-path telemetry based on adaptive traffic sampling, I am not sure this use case is limited to on-path telemetry, I see this not only related to data plane telemetry but also management telemetry, for management plane telemetry, adaptive subscription proposed in draft-wang-netconf-adaptive-subscription is one candidate solution, gaining real-time network state and traffic visibility at minimum resource consumption is exactly what propose to do.

Lastly, I am happy to discuss with you if you want to scope your problem space and targeted to NETCONF specific solution.

-Qin